/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { BeamMapping } from './beam-mapping';

/**
 * Class to hold ScanType configuration
 * @export
 * @interface ScanType
 */
export interface ScanType {
    /**
     * 
     * @type {string}
     * @memberof ScanType
     */
    'scan_type_id': string;
    /**
     * 
     * @type {string}
     * @memberof ScanType
     */
    'derive_from'?: string;
    /**
     * 
     * @type {Array<BeamMapping>}
     * @memberof ScanType
     */
    'beams'?: Array<BeamMapping>;
}

